% Descomposición QR (reducida) A = QR
% usando es Gram-Schmidt

A = [3,9; 6,4; 2,-1];

m = size(A,2);
Q = A;
R = zeros(m)
R(1,1) = norm(A(:,1)); % nueva
Q(:,1) = A(:,1)/norm( R(1,1) );

for k = 2:m
    u_k = A(:,k);
    for j = 1:k-1
        R(j,k) = Q(:,j)'*A(:,k); % nueva
        u_k = u_k - R(j,k) * Q(:,j);
    end
    R(k,k) = norm(u_k); % nueva
    Q(:,k) = u_k/R(k,k);
end
disp(Q)
disp(R)

norm(A-Q*R)

